'use strict';

oml.ui.annotation = function(data, $iframe) {
    var that = Ox.Element().attr({
        id: 'a-' + data.id
    }).addClass(
        'OxSelectable'
    ).css({
        backgroundColor: 'white',
        borderBottom: '1px solid rgb(208, 208, 208)',
        color: 'black',
        fontFamily: 'Georgia, Palatino, DejaVu Serif, Book Antiqua, Palatino Linotype, Times New Roman, serif',
        fontSize: '14px',
        lineHeight: '21px',
        padding: '8px'
    }).html(data.text).on({
        click: function(event) {
            $iframe.postMessage('selectAnnotation', {
                id: data.id
            })
        }
    });
    return that;
};
